Name:           perl-%realname
Version:        1.14
Release:        %mkrel 5
%define realname        Geo-METAR

License:        GPL
Group:          Development/Perl
Summary:        Geo::METAR - Process aviation weather reports in the METAR format.
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel gmp-devel
Requires:       perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

%description
METAR reports are available on-line, thanks to the National
Weather Service. Since reading the METAR format isn't easy
for non-pilots, these reports are relatively useles to the
common man who just wants a quick glace at the weather.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc TODO README MANIFEST examples/*
%dir %{perl_vendorlib}/Geo
%{perl_vendorlib}/Geo/METAR.pm
%{_mandir}/*/*



%changelog
* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-5mdv2008.0
+ Revision: 86453
- rebuild


* Tue Aug 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/15/06 01:36:46 (56134)
- test in %%check
- fix install section

* Tue Aug 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/15/06 01:33:56 (56129)
Import perl-Geo-METAR

* Thu Dec 15 2005 Arnaud de Lorbeau <adelorbeau@mandriva.com> 1.14-3mdk
- rebuild
- mkrel

* Wed Feb 11 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.14-2mdk
- Own dir

* Fri Nov 21 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.14-1mdk
- New package for lcdproc

